XScreenSaver(1)

NAME
pinion - draws a scrolling sequence of interconnected gears

SYNOPSIS
pinion [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay usecs] [-scroll ratio] [-spin ratio] [-size ratio] [-max-rpm int] [-wireframe] [-fps]

DESCRIPTION
The pinion program draws an interconnected set of gears moving across the screen.

OPTIONS
pinion accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay usecs
    The delay between frames of the animation, in microseconds: default 15000.

-spin ratio
    How fast the gears should spin; default 1.0. 2.0 means twice as fast, 0.5 means half as fast.

-scroll ratio
    How fast the gears should scroll past the screen; default 1.0. 2.0 means twice as fast, 0.5 means half as fast.

-size ratio
    How big the gears should be, on average; default 1.0. 2.0 means twice as large, 0.5 means half as large.

-max-rpm integer
    If any gear exceeds the maximum RPM, the current gear train is broken there, and we start a new train. Default: 900 RPM. (At 30 FPS, that's about half a rotation per frame.)

-wireframe
    Render in wireframe instead of solid.

-fps
    Display a running tally of how many frames per second are being rendered. In conjunction with -delay 0, this can be a useful benchmark of your GL performance.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
gears(1), xscreensaver(1), X(1)

COPYRIGHT
Copyright © 2004 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 12-Dec-2004.